import { AnnotationAction } from '../../../dto/actions/annotation-action.abstract';
import { RTETableAnnotation } from '../annotations/table-annotation';
/**
 * Action to apply annotations to a table.
 */
export class RTETableAnnotationsAction extends AnnotationAction {
  constructor(table) {
    super();
    this.isFlushable = true;
    this.table = table;
  }
  /**
   * @inheritDoc
   */
  toAnnotation() {
    return new RTETableAnnotation(this.table);
  }
}
